package com.xylink.config;

/**
 * Created by wenya on 17/9/11.
 */
public class SDKConfig {

    private String serverHost;
    private String accessToken;
    private String refreshToken;
    private String xyClientid;
    private String xyClientSecret;
    private String enterpriseId;
    //默认11个小时轮询一次
    private int clientRefreshCycle = 11;

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getXyClientid() {
        return xyClientid;
    }

    public void setXyClientid(String xyClientid) {
        this.xyClientid = xyClientid;
    }

    public String getXyClientSecret() {
        return xyClientSecret;
    }

    public void setXyClientSecret(String xyClientSecret) {
        this.xyClientSecret = xyClientSecret;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public int getClientRefreshCycle() {
        return clientRefreshCycle;
    }

    public void setClientRefreshCycle(int clientRefreshCycle) {
        this.clientRefreshCycle = clientRefreshCycle;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"serverHost\":\"")
                .append(serverHost).append('\"');
        sb.append(",\"accessToken\":\"")
                .append(accessToken).append('\"');
        sb.append(",\"refreshToken\":\"")
                .append(refreshToken).append('\"');
        sb.append(",\"xyClientid\":\"")
                .append(xyClientid).append('\"');
        sb.append(",\"xyClientSecret\":\"")
                .append(xyClientSecret).append('\"');
        sb.append(",\"enterpriseId\":\"")
                .append(enterpriseId).append('\"');
        sb.append(",\"clientRefreshCycle\":")
                .append(clientRefreshCycle);
        sb.append('}');
        return sb.toString();
    }
}
