package com.xylink.model;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * Created by maolizhi on 3/14/2017.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class LiveVideoForConference {
    String liveId;
    String enterpriseId;
    String confNo;
    String status;
    String title;
    long startTime;
    long endTime;
    String detail;
    boolean autoRecording;
    boolean autoPublishRecording;
    String location;
    String flv;
    String hls;
    String rtmp;
    String viewUrl;

    private LiveViewerInvited liveViewerInvited;

    private String thirdpeoplePushURL;
    private String thirdcontentPushURL;
    private String thirdpartyPushURL;
    private String defaultLiveResolutionType;
    String extras;

    public String getLiveId() {
        return liveId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getConfNo() {
        return confNo;
    }

    public String getStatus() {
        return status;
    }

    public String getTitle() {
        return title;
    }

    public long getStartTime() {
        return startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public String getDetail() {
        return detail;
    }

    public boolean isAutoRecording() {
        return autoRecording;
    }

    public boolean isAutoPublishRecording() {
        return autoPublishRecording;
    }

    public String getLocation() {
        return location;
    }

    public String getFlv() {
        return flv;
    }

    public String getHls() {
        return hls;
    }

    public String getViewUrl() {
        return viewUrl;
    }

    public void setLiveId(String liveId) {
        this.liveId = liveId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setConfNo(String confNo) {
        this.confNo = confNo;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public void setAutoRecording(boolean autoRecording) {
        this.autoRecording = autoRecording;
    }

    public void setAutoPublishRecording(boolean autoPublishRecording) {
        this.autoPublishRecording = autoPublishRecording;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public void setFlv(String flv) {
        this.flv = flv;
    }

    public void setHls(String hls) {
        this.hls = hls;
    }

    public String getRtmp() {
        return rtmp;
    }

    public void setRtmp(String rtmp) {
        this.rtmp = rtmp;
    }

    public void setViewUrl(String viewUrl) {
        this.viewUrl = viewUrl;
    }

    public LiveViewerInvited getLiveViewerInvited() {
        return liveViewerInvited;
    }

    public void setLiveViewerInvited(LiveViewerInvited liveViewerInvited) {
        this.liveViewerInvited = liveViewerInvited;
    }

    public String getThirdpeoplePushURL() {
        return thirdpeoplePushURL;
    }

    public void setThirdpeoplePushURL(String thirdpeoplePushURL) {
        this.thirdpeoplePushURL = thirdpeoplePushURL;
    }

    public String getThirdcontentPushURL() {
        return thirdcontentPushURL;
    }

    public void setThirdcontentPushURL(String thirdcontentPushURL) {
        this.thirdcontentPushURL = thirdcontentPushURL;
    }

    public String getThirdpartyPushURL() {
        return thirdpartyPushURL;
    }

    public void setThirdpartyPushURL(String thirdpartyPushURL) {
        this.thirdpartyPushURL = thirdpartyPushURL;
    }

    public String getDefaultLiveResolutionType() {
        return defaultLiveResolutionType;
    }

    public void setDefaultLiveResolutionType(String defaultLiveResolutionType) {
        this.defaultLiveResolutionType = defaultLiveResolutionType;
    }
    public String getExtras() {
        return extras;
    }

    public void setExtras(String extras) {
        this.extras = extras;
    }

    @Override
    public String toString() {
        return "{\"LiveVideoForConference\":{"
                + "\"liveId\":\""
                + liveId + '\"'
                + ",\"enterpriseId\":\""
                + enterpriseId + '\"'
                + ",\"confNo\":\""
                + confNo + '\"'
                + ",\"status\":\""
                + status + '\"'
                + ",\"title\":\""
                + title + '\"'
                + ",\"startTime\":"
                + startTime
                + ",\"endTime\":"
                + endTime
                + ",\"detail\":\""
                + detail + '\"'
                + ",\"autoRecording\":"
                + autoRecording
                + ",\"autoPublishRecording\":"
                + autoPublishRecording
                + ",\"location\":\""
                + location + '\"'
                + ",\"flv\":\""
                + flv + '\"'
                + ",\"hls\":\""
                + hls + '\"'
                + ",\"rtmp\":\""
                + rtmp + '\"'
                + ",\"viewUrl\":\""
                + viewUrl + '\"'
                + ",\"liveViewerInvited\":"
                + liveViewerInvited
                + ",\"thirdpeoplePushURL\":\""
                + thirdpeoplePushURL + '\"'
                + ",\"thirdcontentPushURL\":\""
                + thirdcontentPushURL + '\"'
                + ",\"thirdpartyPushURL\":\""
                + thirdpartyPushURL + '\"'
                + ",\"defaultLiveResolutionType\":\""
                + defaultLiveResolutionType + '\"'
                + ",\"extras\":\""
                + extras + '\"'
                + "}}";
    }
}
